lkml.org 
[lkml]   [2010]   [May]   [10]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH 7/9] perf/trace/scripting: failed-syscalls-by-pid script cleanup
Date
A small fixe for the failed syscalls by pid script:

- silence the match output in the shell script

Signed-off-by: Tom Zanussi <tzanussi@gmail.com>
---
.../python/bin/failed-syscalls-by-pid-report | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
index 8c128ef..3029354 100644
--- a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
+++ b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
@@ -2,7 +2,7 @@
# description: system-wide failed syscalls, by pid
# args: [comm]
if [ $# -gt 0 ] ; then
- if ! expr match "$1" "-" ; then
+ if ! expr match "$1" "-" > /dev/null ; then
comm=$1
shift
fi
--
1.6.4.GIT


\
 
 \ /
  Last update: 2010-05-10 06:51    [W:0.064 / U:0.352 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site